# $Revision: 1.13 $, $Date: 2004/04/22 20:42:47 $
#
# Conditional build:
%bcond_without	gtk	# without GTK+ dialog
%bcond_without	qt	# without Qt dialog
#
Summary:	Simple PIN or passphrase entry dialogs
Summary(pl):	Proste kontrolki dialogowe do wpisywania PIN-w lub hase
Name:		pinentry
Version:	0.7.1
Release:	1
License:	GPL
Group:		Applications
Source0:	ftp://ftp.gnupg.org/gcrypt/pinentry/%{name}-%{version}.tar.gz
# Source0-md5:	7861d63dea6434a5a05da84e83f209e6
Patch0:		%{name}-system-assuan.patch
URL:		http://www.gnupg.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake >= 1.7.6
%{?with_gtk:BuildRequires:	gtk+-devel >= 1.2.0}
BuildRequires:	libassuan-devel >= 1:0.6.0
BuildRequires:	libcap-devel
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-devel
%{?with_qt:BuildRequires:	qt-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project; see
http://www.gnupg.org/aegypten/ for details. Base package contains
curses-based dialog.

%description -l pl
Jest to zestaw prostych kontrolek dialogowych do wpisywania PIN-w lub
hase, uywajce protokou Assuan opisanego w projekcie aegypten;
wicej szczegw pod adresem http://www.gnupg.org/aegypten/.
Podstawowy pakiet zawiera kontrolk opart na curses.

%package gtk
Summary:	Simple PIN or passphrase entry dialog for GTK+
Summary(pl):	Prosta kontrolka dialogowa do wpisywania PIN-w lub hase dla GTK+
Group:		X11/Applications

%description gtk
Simple PIN or passphrase entry dialog for GTK+.

%description gtk -l pl
Prosta kontrolka dialogowa do wpisywania PIN-w lub hase dla GTK+.

%package qt
Summary:	Simple PIN or passphrase entry dialog for Qt
Summary(pl):	Prosta kontrolka dialogowa do wpisywania PIN-w lub hase dla Qt
Group:		X11/Applications

%description qt
Simple PIN or passphrase entry dialog for Qt.

%description qt -l pl
Prosta kontrolka dialogowa do wpisywania PIN-w lub hase dla Qt.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
CPPFLAGS="-I/usr/include/ncurses"
%configure \
	--enable-maintainer-mode \
	--enable-fallback-curses \
	--enable-pinentry-curses \
	--%{!?with_gtk:dis}%{?with_gtk:en}able-pinentry-gtk \
	--%{!?with_qt:dis}%{?with_qt:en}able-pinentry-qt \
	--with-qt-includes=/usr/include/qt

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/pinentry-curses
%{_infodir}/pinentry.info*

%if %{with gtk}
%files gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pinentry-gtk
%endif

%if %{with qt}
%files qt
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pinentry-qt
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pinentry.spec,v $
Revision 1.13  2004/04/22 20:42:47  qboosh
- updated to 0.7.1, removed obsolete cxx patch

Revision 1.12  2003/12/24 02:32:37  qboosh
- updated to 0.7.0, updated system-assuan patch, new-style bconds

Revision 1.11  2003/08/21 11:43:54  wrobell
- rel. 2

Revision 1.10  2003/08/21 09:41:22  qboosh
- patched to use system libassuan from libassuan.spec, removed libassuan-devel

Revision 1.9  2003/07/29 15:39:34  adgor
- Updated to 0.6.9
- Fixed src url

Revision 1.8  2003/05/28 13:01:17  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:25:30  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/03/14 13:58:54  qboosh
- header file is useful with library

Revision 1.5  2003/03/14 13:45:01  qboosh
- added libassuan-devel package (I don't see separate package with this library)

Revision 1.4  2003/03/14 12:34:36  qboosh
- added gtk and qt packages

Revision 1.3  2003/02/17 16:10:13  wiget
- updated to 0.6.8

Revision 1.2  2002/10/09 13:10:29  qboosh
- pl description

Revision 1.1  2002/10/07 20:27:43  wrobell
- based on newpg.spec
